Bug 97667 - [REPOCOPY] irc/ircd-ratbox -> ircd-ratbox-devel
Summary: [REPOCOPY] irc/ircd-ratbox -> ircd-ratbox-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-23 02:30 UTC by Shaun Amott
Modified: 2006-06-10 23:45 UTC (History)
0 users

See Also:


Attachments
ircd-ratbox-devel.diff (4.78 KB, patch)
2006-05-23 02:30 UTC, Shaun Amott
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shaun Amott 2006-05-23 02:30:15 UTC
I'd like to add a port of the development version of ircd-ratbox. Please
repocopy irc/ircd-ratbox over to irc/ircd-ratbox-devel.

The patch below will make the required changes to turn the port into the
"testing" release (if a .shar is required instead, let me know).

irc/ircd-ratbox also needs:

  CONFLICTS=	ircd-ratbox-devel-[0-9]*
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-08 16:04:40 UTC
State Changed
From-To: open->repocopy

portmgr approval is needed. 


Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-08 16:04:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

portmgr approval is needed.
Comment 3 Joe Marcus Clarke freebsd_committer 2006-06-08 23:13:38 UTC
State Changed
From-To: repocopy->open

Repocopy completed. 


Comment 4 Joe Marcus Clarke freebsd_committer 2006-06-08 23:13:38 UTC
Responsible Changed
From-To: portmgr->itetcu

Repocopy completed.
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-09 11:55:41 UTC
State Changed
From-To: open->feedback

Doesn't fetch: 
http://sce-tindy.tecnik93.com/tb-exp/index.php?action=describe_port&id=707
Comment 6 Shaun Amott 2006-06-09 23:03:46 UTC
On Fri, Jun 09, 2006 at 10:55:42AM +0000, Ion-Mihai Tetcu wrote:
> 
> Doesn't fetch:
> http://sce-tindy.tecnik93.com/tb-exp/index.php?action=describe_port&id=707
> 

A new version was released. I've updated the patch, and added some
mirrors which keep older versions on.

-----ircd-ratbox-devel.diff begins here-----
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/irc/ircd-ratbox-devel/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	10 May 2006 21:25:38 -0000	1.2
+++ Makefile	9 Jun 2006 21:57:13 -0000
@@ -7,20 +7,25 @@
 # ex: ts=8
 
 PORTNAME=	ircd-ratbox
-PORTVERSION=	2.1.8
+PORTVERSION=	2.2.2
 CATEGORIES=	irc ipv6
-MASTER_SITES=	ftp://ftp.ircd-ratbox.org/pub/ircd-ratbox/	\
-		ftp://ftp.demon.co.uk/pub/mirrors/ircd-ratbox/	\
-		http://www.ircd-ratbox.org/download/		\
-		ftp://ftp.parodius.com/pub/ircd-ratbox/
+MASTER_SITES=	ftp://ftp.ircd-ratbox.org/pub/ircd-ratbox/testing/	\
+		ftp://ftp.demon.co.uk/pub/mirrors/ircd-ratbox/testing/	\
+		http://www.ircd-ratbox.org/download/testing/		\
+		ftp://ftp.parodius.com/pub/ircd-ratbox/testing/		\
+		http://www.ircd-ratbox.org/download/old/		\
+		ftp://ftp.parodius.com/pub/ircd-ratbox/old/
+PKGNAMESUFFIX=	-devel
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	shaun@inerd.com
-COMMENT=	An advanced, stable IRC daemon, used on many EFnet servers
+COMMENT=	An advanced, stable IRC daemon, used on EFnet ('testing' release)
 
 MAN8=		ircd.8
 USE_RC_SUBR=	ircd-ratbox.sh
 
+CONFLICTS=	ircd-ratbox-[0-9]*
+
 LOGDIR=		/var/log/${PORTNAME}
 RUNDIR=		/var/run/${PORTNAME}
 SUB_FILES=	pkg-message pkg-install
@@ -99,10 +104,6 @@
 CONFIGURE_ARGS+=	--with-topiclen=${TOPICLEN}
 .endif
 
-.if defined(MAXCLIENTS)
-CONFIGURE_ARGS+=	--with-maxclients=${MAXCLIENTS}
-.endif
-
 #-----------------------------------------------------------------------
 
 pre-configure:
@@ -110,7 +111,6 @@
 	@${ECHO_MSG} "This port has additional options:"
 	@${ECHO_MSG} "    NICKLEN     [default 9, max 50]    - Max nick length on server"
 	@${ECHO_MSG} "    TOPICLEN    [default 120, max 390] - Max topic length"
-	@${ECHO_MSG} "    MAXCLIENTS  [default 3000]         - Max clients server can handle"
 	@${ECHO_MSG} ""
 	@${ECHO_MSG} "Press CTRL+C now if you wish to set them."
 	@${ECHO_MSG} ""
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/irc/ircd-ratbox-devel/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- distinfo	10 May 2006 21:25:38 -0000	1.2
+++ distinfo	9 Jun 2006 21:57:13 -0000
@@ -1,3 +1,3 @@
-MD5 (ircd-ratbox-2.1.8.tgz) = 5fc49439e23926d98bd6d0d0ecb1f65f
-SHA256 (ircd-ratbox-2.1.8.tgz) = 8c0191c56d70d352dc4b64ff16a6652a06b5f2c66a9d147652da99347454da61
-SIZE (ircd-ratbox-2.1.8.tgz) = 1420957
+MD5 (ircd-ratbox-2.2.2.tgz) = d62e339b4a680f7065cd82643fc1fbff
+SHA256 (ircd-ratbox-2.2.2.tgz) = 891f21ca32e99021e7160fb6f012be5f360a27ca5b01f92f0c4bd4936a145183
+SIZE (ircd-ratbox-2.2.2.tgz) = 704194
Index: pkg-descr
===================================================================
RCS file: /home/ncvs/ports/irc/ircd-ratbox-devel/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- pkg-descr	27 Jan 2006 06:09:27 -0000	1.1
+++ pkg-descr	9 Jun 2006 21:57:13 -0000
@@ -1,5 +1,9 @@
 This is a port of the ircd-ratbox IRC daemon.
 
+This version is the 'testing' branch: it usually contains more features,
+but may contain as of yet unidentified bugs. Admins on smaller networks
+may prefer to use it over the standard production release.
+
 ircd-ratbox is the primary ircd used on EFnet; it combines the stability
 of an ircd required for a large production network together with a rich
 set of features, making it also suitable for use on smaller networks.
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/irc/ircd-ratbox-devel/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- pkg-plist	27 Jan 2006 06:09:27 -0000	1.1
+++ pkg-plist	9 Jun 2006 21:57:13 -0000
@@ -14,7 +14,6 @@
 lib/ircd-ratbox/modules/autoload/m_away.so
 lib/ircd-ratbox/modules/autoload/m_cap.so
 lib/ircd-ratbox/modules/autoload/m_capab.so
-lib/ircd-ratbox/modules/autoload/m_challenge.so
 lib/ircd-ratbox/modules/autoload/m_close.so
 lib/ircd-ratbox/modules/autoload/m_cmessage.so
 lib/ircd-ratbox/modules/autoload/m_connect.so
@@ -99,6 +98,7 @@
 %%DATADIR%%/help/opers/away
 %%DATADIR%%/help/opers/capab
 %%DATADIR%%/help/opers/challenge
+%%DATADIR%%/help/opers/chantrace
 %%DATADIR%%/help/opers/close
 %%DATADIR%%/help/opers/cmode
 %%DATADIR%%/help/opers/cnotice
@@ -107,7 +107,6 @@
 %%DATADIR%%/help/opers/credits
 %%DATADIR%%/help/opers/die
 %%DATADIR%%/help/opers/dline
-%%DATADIR%%/help/opers/eob
 %%DATADIR%%/help/opers/error
 %%DATADIR%%/help/opers/etrace
 %%DATADIR%%/help/opers/gline
@@ -126,6 +125,7 @@
 %%DATADIR%%/help/opers/locops
 %%DATADIR%%/help/opers/lusers
 %%DATADIR%%/help/opers/map
+%%DATADIR%%/help/opers/masktrace
 %%DATADIR%%/help/opers/modlist
 %%DATADIR%%/help/opers/modload
 %%DATADIR%%/help/opers/modrestart
@@ -164,6 +164,7 @@
 %%DATADIR%%/help/opers/undline
 %%DATADIR%%/help/opers/ungline
 %%DATADIR%%/help/opers/unkline
+%%DATADIR%%/help/opers/unreject
 %%DATADIR%%/help/opers/unresv
 %%DATADIR%%/help/opers/unxline
 %%DATADIR%%/help/opers/user
-----ircd-ratbox-devel.diff ends here-----

-- 
Shaun Amott [ PGP: 0x6B387A9A ]
    Scientia Est Potentia.
Comment 7 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-10 00:48:14 UTC
State Changed
From-To: feedback->open

patch received
Comment 8 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-10 23:45:54 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!